- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# FCDEffectParameterSurfaceInitAsTarget Class Reference

This method allows to initialize the surface as a rendering target. More...

`#include <FCDEffectParameterSurface.h>`

Inheritance diagram for FCDEffectParameterSurfaceInitAsTarget:

List of all members.

## Public Member Functions
| FCDEffectParameterSurfaceInitAsTarget ()
| Constructor: builds a new file surface initialization method.
virtual | ~FCDEffectParameterSurfaceInitAsTarget ()
| Destructor.
virtual FCDEffectParameterSurfaceInitFactory::InitType | GetInitType () const
| Retrieves the initialization type.
virtual FCDEffectParameterSurfaceInit * | Clone (FCDEffectParameterSurfaceInit *clone) const
| Creates a full copy of the surface initialization parameter.

## Detailed Description

This method allows to initialize the surface as a rendering target.

## Member Function Documentation

virtual FCDEffectParameterSurfaceInit* FCDEffectParameterSurfaceInitAsTarget::Clone | ( | FCDEffectParameterSurfaceInit * | clone | ) | const`[virtual]`

  | Creates a full copy of the surface initialization parameter. Parameters:
  | clone | The cloned surface initialization. If this pointer is NULL, a new surface initialization parameter will be created and you will need to delete this pointer.
Returns: The surface initialization parameter. You will need to delete this pointer. Reimplemented from FCDEffectParameterSurfaceInit.

virtual FCDEffectParameterSurfaceInitFactory::InitType FCDEffectParameterSurfaceInitAsTarget::GetInitType | ( |  | ) | const`[inline, virtual]`

| Retrieves the initialization type. You cannot modify this value. To change the initialization type of a surface parameter, create a new surface initialization structure of the correct type. Returns: The initialization type. Implements FCDEffectParameterSurfaceInit.

The documentation for this class was generated from the following file:

- FCDocument/FCDEffectParameterSurface.h